Bug 1129095 - vol heal info returning a hostname that does not match peer/brick node names in multi-homed pool
Summary: vol heal info returning a hostname that does not match peer/brick node names ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Pranith Kumar K
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 08:49 UTC by Paul Cuzner
Modified: 2016-09-17 12:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-09 15:46:52 UTC


Attachments (Terms of Use)
example showing the mismatch between peer/brick names and vol heal info (1.25 KB, text/plain)
2014-08-12 08:49 UTC, Paul Cuzner
no flags Details

Description Paul Cuzner 2014-08-12 08:49:19 UTC
Created attachment 925971 [details]
example showing the mismatch between peer/brick names and vol heal info

Description of problem:
I have a trusted pool that has a front end network for nfs and a backend network for gluster. The front end network uses the servers hostname for client connectivity and the gluster network uses a different subnet and node names for the trusted pool.

vol info in this environment returns a brick name that references the name of the hosts on the client side network not the gluster network.




Version-Release number of selected component (if applicable):
testing on rhs3

How reproducible:
this behavior is always seen

Steps to Reproduce:
1. create a cluster as shown above
2. run the commands (example output attached)
3.

Actual results:
vol heal provides bricknames using the incorrect node names


Expected results:
vol heal info brick information should match the brick paths known by gluster and shown in the other commands like vol status/vol info.

Additional info:

Comment 2 Ravishankar N 2015-12-09 15:46:52 UTC
This was fixed upstream in BZ 1265633 and is also available in RHGS 3.1.1 as part of rebase. Hence closing this bug. Feel free to re-open if I have overlooked something,


Note You need to log in before you can comment on or make changes to this bug.